<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("tit" . "le" => base64_decode("dGl0bGU" . "="), "mess" . "age" => base64_decode("bWVzc2" . "FnZQ=="), "_b93155ab570822d94" . "f80f2b49acbdcde" => base64_decode("dXJsZGVjb2" . "Rl"), "_fe2579c" . "ea630be3" . "ef73ecaa" . "47a26a59" . "f" => base64_decode("cGVvcGxlLm15X2luZm9iYXI" . "uYm9va21hcmtfYWRkZWQ="), "_0c5123aa744f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1zZw" . "=="), "_4c510e5adc7368560" . "eb3dd6ed429e5c5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc3NfcmVzcG9uc2U" . "ucGhw"), "ur" . "l" => base64_decode("d" . "X" . "J" . "s"), "_a62d761f3e831ff9d9da39f9c26" . "ecddc" => base64_decode("Li4vY29t" . "bW9uL2Nv" . "cmUucGhw"));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a62d761f3e831ff9d9da39f9c26ecd" . "dc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b93155ab570822d94f80f2b49ac" . "bdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["u" . "r" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_b93155ab5708" . "22d94f80f2b49" . "acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["t" . "i" . "t" . "l" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_fe2579cea630be3ef73ecaa47a26" . "a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["messag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4c510e5adc" . "7368560eb3d" . "d6ed429e5c5"];